Similar to makecall. But only to be used if you know exactly which cluster you want the call to go through.
Example usecase: Transfering / Bridging voicebot call to a human agent. When you trigger the first outbound call, the response JSON will have the cluster and call_uuid. Save the cluster value for later use.
If the voicebot requires to send call to human agent, call makecalldirect API with the cluster set to that of the original call.
The campaign_name will be the campaign exclusively created to send calls to human agents through suitable SIP trunk.
Make Call Direct
Make Call Direct › Request Body
clusterUnique ID of the IraVoice cluster
campaign_nameThe unique campaign name created either through API or through the monitor portal.
to_numberDestination phone number.
from_numberCaller ID Number.
Any valid json object. If websocket_host, websocket_port, and websocket_app are set, the media will be streamed to the websocket server.
List of channel variables including SIP headers. Variables with prefix sip_h_X- will set the SIP headers
cpa_configIf call progress analysis is required to detect answering machines, specify the previously configured cpa config name
dial_timeoutTimeout for the dialing. If the call is not answered within this time limit, the call will be dropped.
Make Call Direct › Responses
Call request accepted and scheduled successfully
statusStatus of the API call.
status_codeStatus code of the API response. 0 indicates success, any non-zero value indicates an error.
Unique identifier of the call if the request is successfully queued.
Indicates if the system has a huge queue of pending requests and the client should slow down the rate of API calls. If you get true in this field, we recommend you to stop calling make call API for 60s to avoid hitting the rate limits.
The cluster where the call is being processed. If a campaign is using trunks from multiple clusters, this field can be used to identify the cluster for each call.

